GroovyAwareSingleTableEntityPersister (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.persister.entity
[Java] Class GroovyAwareSingleTableEntityPersister

    java.lang.Object
      org.hibernate.persister.entity.AbstractEntityPersister
          org.hibernate.persister.entity.SingleTableEntityPersister
              org.codehaus.groovy.grails.orm.hibernate.persister.entity.GroovyAwareSingleTableEntityPersister

    public class GroovyAwareSingleTableEntityPersister
    extends org.hibernate.persister.entity.SingleTableEntityPersister

A customized EntityPersisteer that creates proxies valid for use with Groovy.

Authors:
  Graeme Rocher

Since:
  1.1.1

Field Summary

Fields inherited from class org.hibernate.persister.entity.SingleTableEntityPersister
ENTITY_CLASS, ROWID_ALIAS, ENTITY_ID, UNFETCHED_PROPERTY

Fields inherited from class org.hibernate.persister.entity.AbstractEntityPersister
ENTITY_CLASS, ROWID_ALIAS, ENTITY_ID, UNFETCHED_PROPERTY

Constructor Summary
`GroovyAwareSingleTableEntityPersister(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy, org.hibernate.engine.SessionFactoryImplementor factory, org.hibernate.engine.Mapping mapping)`

Method Summary
`java.lang.Object` | `createProxy(java.io.Serializable id, org.hibernate.engine.SessionImplementor session)`

Methods inherited from class org.hibernate.persister.entity.SingleTableEntityPersister
org.hibernate.persister.entity.SingleTableEntityPersister#getTableName(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorColumnName(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorColumnReaders(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorColumnReaderTemplate(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorType(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorSQLValue(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassForDiscriminatorValue(java.lang.Object), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertySpaces(), org.hibernate.persister.entity.SingleTableEntityPersister#fromTableFragment(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#filterFragment(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#oneToManyFilterFragment(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyTableName(int), org.hibernate.persister.entity.SingleTableEntityPersister#getTableSpan(), org.hibernate.persister.entity.SingleTableEntityPersister#hasSequentialSelect(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassTableName(int), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassTableSpan(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyTableName(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#isMultiTable(), org.hibernate.persister.entity.SingleTableEntityPersister#getConstraintOrderedTableNameClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#getContraintOrderedTableKeyColumnClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#postInstantiate(), org.hibernate.persister.entity.SingleTableEntityPersister#createProxy(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#toString(), org.hibernate.persister.entity.SingleTableEntityPersister#isInstance(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifier(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifier(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getName(), org.hibernate.persister.entity.SingleTableEntityPersister#isTransient(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#toType(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getEntityName(), org.hibernate.persister.entity.SingleTableEntityPersister#getFactory(), org.hibernate.persister.entity.SingleTableEntityPersister#isAbstract(), org.hibernate.persister.entity.SingleTableEntityPersister#isInherited(), org.hibernate.persister.entity.SingleTableEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getType(), org.hibernate.persister.entity.SingleTableEntityPersister#delete(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#insert([Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#insert(java.io.Serializable, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#update(java.io.Serializable, [Ljava.lang.Object;, [I, boolean, [Ljava.lang.Object;, java.lang.Object, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getVersion(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyType(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#instantiate(java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#instantiate(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#hasSubselectLoadableCollections(), org.hibernate.persister.entity.SingleTableEntityPersister#getMappedClass(org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#hasSubclasses(), org.hibernate.persister.entity.SingleTableEntityPersister#hasIdentifierProperty(), org.hibernate.persister.entity.SingleTableEntityPersister#isPolymorphic(), org.hibernate.persister.entity.SingleTableEntityPersister#isExplicitPolymorphism(), org.hibernate.persister.entity.SingleTableEntityPersister#getTemporaryIdTableName(), org.hibernate.persister.entity.SingleTableEntityPersister#getTemporaryIdTableDDL(), org.hibernate.persister.entity.SingleTableEntityPersister#isLazyPropertiesCacheable(), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierGenerator(), org.hibernate.persister.entity.SingleTableEntityPersister#getDiscriminatorAlias(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#filterFragment(java.lang.String, java.util.Map), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyTableNumber(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierColumnNames(), org.hibernate.persister.entity.SingleTableEntityPersister#isInstrumented(org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getEntityMetamodel(), org.hibernate.persister.entity.SingleTableEntityPersister#isSubclassEntityName(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getRootTableKeyColumnNames(), org.hibernate.persister.entity.SingleTableEntityPersister#hasRowId(), org.hibernate.persister.entity.SingleTableEntityPersister#initializeLazyProperty(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#isBatchable(), org.hibernate.persister.entity.SingleTableEntityPersister#getQuerySpaces(), org.hibernate.persister.entity.SingleTableEntityPersister#isBatchLoadable(), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierColumnReaders(), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierColumnReaderTemplates(), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierAliases(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getVersionColumnName(), org.hibernate.persister.entity.SingleTableEntityPersister#isCacheInvalidationRequired(), org.hibernate.persister.entity.SingleTableEntityPersister#selectFragment(org.hibernate.persister.entity.Joinable, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.SingleTableEntityPersister#selectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyAliases(java.lang.String, int), org.hibernate.persister.entity.SingleTableEntityPersister#identifierSelectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#propertySelectFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.SingleTableEntityPersister#propertySelectFragmentFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.SingleTableEntityPersister#getDatabaseSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyUniqueness(), org.hibernate.persister.entity.SingleTableEntityPersister#forceVersionIncrement(java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getCurrentVersion(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getRootTableName(), org.hibernate.persister.entity.SingleTableEntityPersister#getRootTableAlias(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getRootTableIdentifierColumnNames(), org.hibernate.persister.entity.SingleTableEntityPersister#toColumns(java.lang.String, java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#toColumns(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#toColumns(java.lang.String, int), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyColumnNames(int), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyDeclarer(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getTypeDiscriminatorMetadata(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyColumnWriters(int), org.hibernate.persister.entity.SingleTableEntityPersister#getCascadeStyle(int), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyType(int), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyName(int), org.hibernate.persister.entity.SingleTableEntityPersister#countSubclassProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyColumnNames(int), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#isDefinedOnSubclass(int), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyColumnReaderClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyColumnReaderTemplateClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassColumnReaderTemplateClosure(), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassPropertyColumnAliases(java.lang.String, java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#loadByUniqueKey(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyIndex(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentitySelectString(), org.hibernate.persister.entity.SingleTableEntityPersister#getSelectByUniqueKeyString(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#generateFilterConditionAlias(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#fromJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.SingleTableEntityPersister#whereJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.SingleTableEntityPersister#registerAffectingFetchProfile(java.lang.String), org.hibernate.persister.entity.SingleTableEntityPersister#isSubclassPropertyNullable(int), org.hibernate.persister.entity.SingleTableEntityPersister#findDirty([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#findModified([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyUpdateability(), org.hibernate.persister.entity.SingleTableEntityPersister#hasCache(), org.hibernate.persister.entity.SingleTableEntityPersister#getCacheAccessStrategy(), org.hibernate.persister.entity.SingleTableEntityPersister#getCacheEntryStructure(), org.hibernate.persister.entity.SingleTableEntityPersister#getVersionComparator(), org.hibernate.persister.entity.SingleTableEntityPersister#getEntityType(), org.hibernate.persister.entity.SingleTableEntityPersister#hasCascades(), org.hibernate.persister.entity.SingleTableEntityPersister#getVersionType(), org.hibernate.persister.entity.SingleTableEntityPersister#getVersionProperty(), org.hibernate.persister.entity.SingleTableEntityPersister#isIdentifierAssignedByInsert(), org.hibernate.persister.entity.SingleTableEntityPersister#hasLazyProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#afterReassociate(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#hasCollections(), org.hibernate.persister.entity.SingleTableEntityPersister#hasMutableProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#hasProxy(), org.hibernate.persister.entity.SingleTableEntityPersister#getRootEntityName(), org.hibernate.persister.entity.SingleTableEntityPersister#canExtractIdOutOfEntity(), org.hibernate.persister.entity.SingleTableEntityPersister#getKeyColumnNames(), org.hibernate.persister.entity.SingleTableEntityPersister#isCollection(), org.hibernate.persister.entity.SingleTableEntityPersister#consumesEntityAlias(), org.hibernate.persister.entity.SingleTableEntityPersister#consumesCollectionAlias(), org.hibernate.persister.entity.SingleTableEntityPersister#isSelectBeforeUpdateRequired(), org.hibernate.persister.entity.SingleTableEntityPersister#hasInsertGeneratedProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#hasUpdateGeneratedProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#isVersionPropertyGenerated(), org.hibernate.persister.entity.SingleTableEntityPersister#isVersionPropertyInsertable(), org.hibernate.persister.entity.SingleTableEntityPersister#afterInitialize(java.lang.Object, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyTypes(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyLaziness(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyCheckability(), org.hibernate.persister.entity.SingleTableEntityPersister#getNonLazyPropertyUpdateability(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyInsertability(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyInsertGenerationInclusions(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyUpdateGenerationInclusions(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyNullability(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyVersionability(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyCascadeStyles(), org.hibernate.persister.entity.SingleTableEntityPersister#implementsLifecycle(org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#implementsValidatable(org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getConcreteProxyClass(org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#hasUninitializedLazyProperties(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getSubclassEntityPersister(java.lang.Object, org.hibernate.engine.SessionFactoryImplementor, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#guessEntityMode(java.lang.Object), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyValuesToInsert(java.lang.Object, java.util.Map, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#processInsertGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#processUpdateGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#getNaturalIdentifierProperties(), org.hibernate.persister.entity.SingleTableEntityPersister#getNaturalIdentifierSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#hasNaturalIdentifier(), org.hibernate.persister.entity.SingleTableEntityPersister#getFetchMode(int), org.hibernate.persister.entity.SingleTableEntityPersister#isMutable(), org.hibernate.persister.entity.SingleTableEntityPersister#hydrate(java.sql.ResultSet, java.io.Serializable, java.lang.Object, org.hibernate.persister.entity.Loadable, [[Ljava.lang.String;, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.SingleTableEntityPersister#setPropertyValue(java.lang.Object, int, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#setPropertyValue(java.lang.Object, java.lang.String, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#isVersioned(), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyNames(), org.hibernate.persister.entity.SingleTableEntityPersister#setPropertyValues(java.lang.Object, [Ljava.lang.Object;, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyValues(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyValue(java.lang.Object, java.lang.String, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getPropertyValue(java.lang.Object, int, org.hibernate.EntityMode), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierPropertyName(), org.hibernate.persister.entity.SingleTableEntityPersister#getIdentifierType(), org.hibernate.persister.entity.SingleTableEntityPersister#getMappedSuperclass(), org.hibernate.persister.entity.SingleTableEntityPersister#getClassMetadata(), org.hibernate.persister.entity.SingleTableEntityPersister#wait(), org.hibernate.persister.entity.SingleTableEntityPersister#wait(long, int), org.hibernate.persister.entity.SingleTableEntityPersister#wait(long), org.hibernate.persister.entity.SingleTableEntityPersister#equals(java.lang.Object), org.hibernate.persister.entity.SingleTableEntityPersister#hashCode(), org.hibernate.persister.entity.SingleTableEntityPersister#getClass(), org.hibernate.persister.entity.SingleTableEntityPersister#notify(), org.hibernate.persister.entity.SingleTableEntityPersister#notifyAll()

Methods inherited from class org.hibernate.persister.entity.AbstractEntityPersister
org.hibernate.persister.entity.AbstractEntityPersister#createProxy(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#lock(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#toString(), org.hibernate.persister.entity.AbstractEntityPersister#isInstance(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifier(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifier(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getName(), org.hibernate.persister.entity.AbstractEntityPersister#isTransient(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#toType(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getEntityName(), org.hibernate.persister.entity.AbstractEntityPersister#getFactory(), org.hibernate.persister.entity.AbstractEntityPersister#isAbstract(), org.hibernate.persister.entity.AbstractEntityPersister#isInherited(), org.hibernate.persister.entity.AbstractEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockOptions, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#load(java.io.Serializable, java.lang.Object, org.hibernate.LockMode, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getType(), org.hibernate.persister.entity.AbstractEntityPersister#delete(java.io.Serializable, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#insert([Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#insert(java.io.Serializable, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#update(java.io.Serializable, [Ljava.lang.Object;, [I, boolean, [Ljava.lang.Object;, java.lang.Object, java.lang.Object, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getVersion(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyType(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#instantiate(java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#instantiate(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#setIdentifier(java.lang.Object, java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasSubselectLoadableCollections(), org.hibernate.persister.entity.AbstractEntityPersister#getMappedClass(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#hasSubclasses(), org.hibernate.persister.entity.AbstractEntityPersister#hasIdentifierProperty(), org.hibernate.persister.entity.AbstractEntityPersister#isPolymorphic(), org.hibernate.persister.entity.AbstractEntityPersister#isExplicitPolymorphism(), org.hibernate.persister.entity.AbstractEntityPersister#getTemporaryIdTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getTemporaryIdTableDDL(), org.hibernate.persister.entity.AbstractEntityPersister#isLazyPropertiesCacheable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierGenerator(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnName(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnReaders(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorColumnReaderTemplate(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#filterFragment(java.lang.String, java.util.Map), org.hibernate.persister.entity.AbstractEntityPersister#oneToManyFilterFragment(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyTableNumber(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#hasSequentialSelect(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassTableName(int), org.hibernate.persister.entity.AbstractEntityPersister#isMultiTable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#isInstrumented(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getEntityMetamodel(), org.hibernate.persister.entity.AbstractEntityPersister#isSubclassEntityName(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableKeyColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#hasRowId(), org.hibernate.persister.entity.AbstractEntityPersister#initializeLazyProperty(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#isBatchable(), org.hibernate.persister.entity.AbstractEntityPersister#getQuerySpaces(), org.hibernate.persister.entity.AbstractEntityPersister#isBatchLoadable(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnReaders(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierColumnReaderTemplates(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierAliases(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getVersionColumnName(), org.hibernate.persister.entity.AbstractEntityPersister#isCacheInvalidationRequired(), org.hibernate.persister.entity.AbstractEntityPersister#selectFragment(org.hibernate.persister.entity.Joinable, java.lang.String, java.lang.String, java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#selectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyAliases(java.lang.String, int), org.hibernate.persister.entity.AbstractEntityPersister#identifierSelectFragment(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#propertySelectFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#propertySelectFragmentFragment(java.lang.String, java.lang.String, boolean), org.hibernate.persister.entity.AbstractEntityPersister#getDatabaseSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUniqueness(), org.hibernate.persister.entity.AbstractEntityPersister#forceVersionIncrement(java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getCurrentVersion(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getRootTableIdentifierColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#toColumns(java.lang.String, int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnNames(int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyDeclarer(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getTypeDiscriminatorMetadata(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyColumnWriters(int), org.hibernate.persister.entity.AbstractEntityPersister#getCascadeStyle(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyType(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyName(int), org.hibernate.persister.entity.AbstractEntityPersister#countSubclassProperties(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnNames(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnNames(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#isDefinedOnSubclass(int), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnReaderClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnReaderTemplateClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassColumnReaderTemplateClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyColumnAliases(java.lang.String, java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#loadByUniqueKey(java.lang.String, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyIndex(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getIdentitySelectString(), org.hibernate.persister.entity.AbstractEntityPersister#getSelectByUniqueKeyString(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#generateFilterConditionAlias(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#fromJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.AbstractEntityPersister#whereJoinFragment(java.lang.String, boolean, boolean), org.hibernate.persister.entity.AbstractEntityPersister#registerAffectingFetchProfile(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#isSubclassPropertyNullable(int), org.hibernate.persister.entity.AbstractEntityPersister#findDirty([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#findModified([Ljava.lang.Object;, [Ljava.lang.Object;, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUpdateability(), org.hibernate.persister.entity.AbstractEntityPersister#hasCache(), org.hibernate.persister.entity.AbstractEntityPersister#getCacheAccessStrategy(), org.hibernate.persister.entity.AbstractEntityPersister#getCacheEntryStructure(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionComparator(), org.hibernate.persister.entity.AbstractEntityPersister#getEntityType(), org.hibernate.persister.entity.AbstractEntityPersister#hasCascades(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionType(), org.hibernate.persister.entity.AbstractEntityPersister#getVersionProperty(), org.hibernate.persister.entity.AbstractEntityPersister#isIdentifierAssignedByInsert(), org.hibernate.persister.entity.AbstractEntityPersister#hasLazyProperties(), org.hibernate.persister.entity.AbstractEntityPersister#afterReassociate(java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasCollections(), org.hibernate.persister.entity.AbstractEntityPersister#hasMutableProperties(), org.hibernate.persister.entity.AbstractEntityPersister#hasProxy(), org.hibernate.persister.entity.AbstractEntityPersister#getRootEntityName(), org.hibernate.persister.entity.AbstractEntityPersister#canExtractIdOutOfEntity(), org.hibernate.persister.entity.AbstractEntityPersister#getKeyColumnNames(), org.hibernate.persister.entity.AbstractEntityPersister#isCollection(), org.hibernate.persister.entity.AbstractEntityPersister#consumesEntityAlias(), org.hibernate.persister.entity.AbstractEntityPersister#consumesCollectionAlias(), org.hibernate.persister.entity.AbstractEntityPersister#isSelectBeforeUpdateRequired(), org.hibernate.persister.entity.AbstractEntityPersister#hasInsertGeneratedProperties(), org.hibernate.persister.entity.AbstractEntityPersister#hasUpdateGeneratedProperties(), org.hibernate.persister.entity.AbstractEntityPersister#isVersionPropertyGenerated(), org.hibernate.persister.entity.AbstractEntityPersister#isVersionPropertyInsertable(), org.hibernate.persister.entity.AbstractEntityPersister#afterInitialize(java.lang.Object, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyTypes(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyLaziness(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyCheckability(), org.hibernate.persister.entity.AbstractEntityPersister#getNonLazyPropertyUpdateability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyInsertability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyInsertGenerationInclusions(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyUpdateGenerationInclusions(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyNullability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyVersionability(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyCascadeStyles(), org.hibernate.persister.entity.AbstractEntityPersister#implementsLifecycle(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#implementsValidatable(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getConcreteProxyClass(org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#hasUninitializedLazyProperties(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#resetIdentifier(java.lang.Object, java.io.Serializable, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassEntityPersister(java.lang.Object, org.hibernate.engine.SessionFactoryImplementor, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#guessEntityMode(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValuesToInsert(java.lang.Object, java.util.Map, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#processInsertGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#processUpdateGeneratedProperties(java.io.Serializable, java.lang.Object, [Ljava.lang.Object;, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#getNaturalIdentifierProperties(), org.hibernate.persister.entity.AbstractEntityPersister#getNaturalIdentifierSnapshot(java.io.Serializable, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#hasNaturalIdentifier(), org.hibernate.persister.entity.AbstractEntityPersister#postInstantiate(), org.hibernate.persister.entity.AbstractEntityPersister#getFetchMode(int), org.hibernate.persister.entity.AbstractEntityPersister#isMutable(), org.hibernate.persister.entity.AbstractEntityPersister#hydrate(java.sql.ResultSet, java.io.Serializable, java.lang.Object, org.hibernate.persister.entity.Loadable, [[Ljava.lang.String;, boolean, org.hibernate.engine.SessionImplementor), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValue(java.lang.Object, int, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValue(java.lang.Object, java.lang.String, java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#isVersioned(), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyNames(), org.hibernate.persister.entity.AbstractEntityPersister#setPropertyValues(java.lang.Object, [Ljava.lang.Object;, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValues(java.lang.Object, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValue(java.lang.Object, java.lang.String, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyValue(java.lang.Object, int, org.hibernate.EntityMode), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierPropertyName(), org.hibernate.persister.entity.AbstractEntityPersister#getIdentifierType(), org.hibernate.persister.entity.AbstractEntityPersister#getMappedSuperclass(), org.hibernate.persister.entity.AbstractEntityPersister#getClassMetadata(), org.hibernate.persister.entity.AbstractEntityPersister#wait(), org.hibernate.persister.entity.AbstractEntityPersister#wait(long, int), org.hibernate.persister.entity.AbstractEntityPersister#wait(long), org.hibernate.persister.entity.AbstractEntityPersister#equals(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#hashCode(), org.hibernate.persister.entity.AbstractEntityPersister#getClass(), org.hibernate.persister.entity.AbstractEntityPersister#notify(), org.hibernate.persister.entity.AbstractEntityPersister#notifyAll(), org.hibernate.persister.entity.AbstractEntityPersister#fromTableFragment(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassPropertyTableName(int), org.hibernate.persister.entity.AbstractEntityPersister#getPropertyTableName(java.lang.String), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorType(), org.hibernate.persister.entity.AbstractEntityPersister#getSubclassForDiscriminatorValue(java.lang.Object), org.hibernate.persister.entity.AbstractEntityPersister#getPropertySpaces(), org.hibernate.persister.entity.AbstractEntityPersister#getTableName(), org.hibernate.persister.entity.AbstractEntityPersister#getDiscriminatorSQLValue(), org.hibernate.persister.entity.AbstractEntityPersister#getConstraintOrderedTableNameClosure(), org.hibernate.persister.entity.AbstractEntityPersister#getContraintOrderedTableKeyColumnClosure()

Constructor Detail

### GroovyAwareSingleTableEntityPersister

    public GroovyAwareSingleTableEntityPersister(org.hibernate.mapping.PersistentClass persistentClass, org.hibernate.cache.access.EntityRegionAccessStrategy cacheAccessStrategy, org.hibernate.engine.SessionFactoryImplementor factory, org.hibernate.engine.Mapping mapping)

Method Detail

### createProxy

    @Override
    public java.lang.Object createProxy(java.io.Serializable id, org.hibernate.engine.SessionImplementor session)

Groovy Documentation